element.py File Reference

Go to the source code of this file.

## Classes

class | odf.element.IllegalChild
| Complains if you add an element to a parent where it is not allowed. More...
class | odf.element.IllegalText
| Complains if you add text or cdata to an element where it is not allowed. More...
class | odf.element.Node
| super class for more specific nodes More...
class | odf.element.Childless
| Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children. More...
class | odf.element.Text
class | odf.element.CDATASection
class | odf.element.Element
| Creates a arbitrary element and is intended to be subclassed not used on its own. More...

## Namespaces

| odf.element

## Variables

| odf.element.unicode = str